<?php
require 'db1.php'; // Incluye el archivo de conexión a la base de datos


date_default_timezone_set('America/Guayaquil');


// Endpoint para obtener datos de la tabla usuario
if ($_SERVER['REQUEST_METHOD'] === 'GET') {
    if (isset($_GET['rol_id'])) {
        $rolId = $_GET['rol_id'];

        $query = "SELECT * FROM permiso_rol WHERE rol_id = ?";
        $stmt = $conn->prepare($query);
        $stmt->execute([$rolId]);

        $data = $stmt->fetch(PDO::FETCH_ASSOC);

        if ($data) {
            echo json_encode($data);
        } else {
            echo json_encode(array("message" => "No se encontró ningún permiso Rol"));
        }
    } else {
        $query = "SELECT * FROM permiso_rol";
        $stmt = $conn->prepare($query);
        $stmt->execute();

        $data = $stmt->fetchAll(PDO::FETCH_ASSOC);

        echo json_encode($data);
    }
}

$conn = null;
?>